Web lists-archives.com

[beginning OT] Re: Bug#908349: firefox-esr: no sound after upgrading from 52.9 to 60.2




Hi,

Reco wrote:
> > It's the usual. A compatibility wrapper can never exceed the original.

rhkramer@xxxxxxxxx wrote:
> Hmm, I don't see why it couldn't in some sense -- I'm trying to think of how
> to say what I want to say, let me try a made-up example.

I could offer my program cdrskin as real example.
It is a cdrecord/wodim compatibility wrapper but exceeds both when it
comes to DVD and BD media.


> Suppose some piece of software is running (or trying to run) on a piece of 
> hardware where some function does not work because the software was written to 
> depend on a certain set of (let's say machine) instructions which don't exist 
> on that particular machine.

Or suppose a program which insists to treat every optical medium like
a CD, regardless what the specs say ...


Have a nice day :)

Thomas